
function dummy = drawLSystem(str,ax,grammar,disp)

if (disp == 1)
   printf("Production %s\n\n",str);
endif

x = 0;
y = 0;
a = 0;

stkPtr = 1;
len = 0.5;
lw = 1.5;

for n=1:numel(str)
    if str(n) == 'F'
        xT = x+len*cos(a);
        yT = y+len*sin(a);
        line([y,yT],[x,xT],'color',[.6,.3,0],'linewidth',lw);
        x = xT;
        y = yT;
    elseif str(n) == 'f'
        xT = x+len*cos(a);
        yT = y+len*sin(a);
        x = xT;
        y = yT;
    elseif str(n) == '+'
        a = a+grammar.angle;
    elseif str(n) == '-'
        a = a-grammar.angle;
    elseif str(n) == '&'
        a = -grammar.angle;
    elseif str(n) == '^'
        a = grammar.angle;
    elseif str(n) == '<'
        x(end+1) = nan;
        y(end+1) = nan;
        x(end+1) = x(end-1)+cos(pi-grammar.angle);
        y(end+1) = y(end-1)+sin(pi-grammar.angle);
    elseif str(n) == '>'
        x(end+1) = nan;
        y(end+1) = nan;
        x(end+1) = x(end-1)+cos(grammar.angle);
        y(end+1) = y(end-1)+sin(grammar.angle);
    elseif str(n) == '|'
        a = a+pi;
    elseif str(n) == '['
        % save the current position and push on the stack
        stack(stkPtr).x = x(end);
        stack(stkPtr).y = y(end);
        stack(stkPtr).a = a;
        stkPtr = stkPtr +1;
    elseif str(n) == ']'
        % pop off the stack and return to the saved position
        stkPtr = stkPtr -1 ;
        x(end) = stack(stkPtr).x ;
        y(end) = stack(stkPtr).y ;
        a = stack(stkPtr).a;
    end

end

axes(ax)
axis equal
