
  % inputs ---------------------------------------------------------------


  N = input('Input depth ');
  angle = (pi/180.0)*input('Input angle (degs) ');
  disp = input(' Hit 1 to print the production strings else 0  ');
  printf("\n");

  figure('numbertitle','off','name','Nature of Computing L-Systems Playground','color','w');

  ax = axes;

  % Write your structure here --------------------------------------------

    grammar.name = ' CBP_Weed';
    grammar.axiom = 'F';
    grammar.rules = {'F' 'FF-[XY]+[XY]';
                     'X' '+FY';
                     'Y' '-FX'};
    grammar.angle = angle;


  % End of your structure ------------------------------------------------

  % dump axiom and rules
  printf("Name: %s\n",grammar.name);
  printf("Angle = %f\n",grammar.angle*180.0/pi);
  printf("Axiom: %s\n",grammar.axiom);
  %printf("Rule: %s -> %s\n",grammar.rules{1},grammar.rules{2});


  nrRules = rows(grammar.rules);
  for i = 1 : nrRules
    str1 = grammar.rules{i,1};
    str2 = grammar.rules{i,2};
    printf("Rule%d: %s -> %s\n",i,str1,str2);
  endfor

  % Create LSystem from grammar ------------------------
  str = LSystem(grammar,N);

  % Turtle Drawing -------------------------------------
  drawLSystem(str,ax,grammar,disp);

  axis off
  title(sprintf('%s (depth %d, angle = %4.2f)',grammar.name,N,(180/pi)*angle));

  printf("----------------------------------------\n");

